### Function

# GObject param_spec_boolean

#### Declaration [src]

    GParamSpec*
    g_param_spec_boolean (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpecBoolean` instance specifying a `G_TYPE_BOOLEAN` property. In many cases, it may be more appropriate to use an enum with g_param_spec_enum(), both to improve code clarity by using explicitly named values, and to allow for more values to be added in future without breaking API.

See `g_param_spec_internal()` for details on property names.

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_value`

  Type: `gboolean`

  Default value for the property specified.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.